[**@nymproject/mix-fetch**](../globals.md) • **Docs**

***

[@nymproject/mix-fetch](../globals.md) / IMixFetch

# Interface: IMixFetch

## Properties

### mixFetch

> **mixFetch**: [`IMixFetchFn`](../type-aliases/IMixFetchFn.md)

#### Source

[types.ts:19](https://github.com/nymtech/nym/blob/5065c5579e2c961211276dcdfd8aaa127f29bf26/sdk/typescript/packages/mix-fetch/src/types.ts#L19)

***

### setupMixFetch()

> **setupMixFetch**: (`opts`?) => `Promise`\<`void`\>

#### Parameters

• **opts?**: `any`

#### Returns

`Promise`\<`void`\>

#### Source

[types.ts:20](https://github.com/nymtech/nym/blob/5065c5579e2c961211276dcdfd8aaa127f29bf26/sdk/typescript/packages/mix-fetch/src/types.ts#L20)

***

### disconnectMixFetch()

> **disconnectMixFetch**: () => `Promise`\<`void`\>

#### Returns

`Promise`\<`void`\>

#### Source

[types.ts:21](https://github.com/nymtech/nym/blob/5065c5579e2c961211276dcdfd8aaa127f29bf26/sdk/typescript/packages/mix-fetch/src/types.ts#L21)
